View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000486Ecere SDKidepublic2010-07-26 14:502014-05-19 01:32
Reporterredj 
Assigned Tojerome 
PriorityimmediateSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version0.44.10 64Fixed in Version0.44.10 64 
Summary0000486: ide: watches: #QNAN0 shows as 0, will show address on a vector component
Description#QNAN0 shows as 0, will show address on a vector component
This is about watching a float (and or double) value which is the result of a mathematical operation giving NaN (Not a Number), with a specifically weird behavior when watching the component of a vector (Vector a -- a.x)

TagsNo tags attached.
Attached Files

- Relationships
related to 0000471closedjerome ide: debugger: watches: crashes with floating point watches , 2e-016 

-  Notes
(0001291)
jerome (administrator)
2014-05-14 00:08
edited on: 2014-05-14 00:12

nan/inf support fixed by:
https://github.com/ecere/ecere-sdk/commit/5745e138a9c625d6770b75bc2e847a7358472b8e [^]

addresses showing where they should not fixed by:
https://github.com/ecere/ecere-sdk/commit/cb563312bc3ea29a65afe16bc4f94d92a203c19a [^]


- Issue History
Date Modified Username Field Change
2010-07-26 14:50 redj New Issue
2010-07-26 14:50 redj Relationship added related to 0000471
2010-07-26 14:50 redj Relationship added child of 0000429
2010-07-26 19:37 thexa4 Target Version => 0.44 draft 2
2010-07-29 15:06 jerome Priority normal => immediate
2012-03-08 15:41 redj Target Version old 0.44.pre2 => 0.45 Ginkakuji
2012-03-08 17:40 redj Relationship deleted child of 0000429
2012-03-29 07:52 redj Category => ide
2012-03-29 07:52 redj Project @3@ => Ecere SDK
2013-04-25 20:20 jerome Target Version 0.45 Ginkakuji => 0.44.5 Debug
2014-05-01 02:11 jerome Assigned To => jerome
2014-05-01 02:11 jerome Status new => assigned
2014-05-01 02:11 jerome Target Version 0.44.70 Debug => 0.44.10 64
2014-05-14 00:08 jerome Status assigned => resolved
2014-05-14 00:08 jerome Fixed in Version => 0.44.10 64
2014-05-14 00:08 jerome Resolution open => fixed
2014-05-14 00:08 jerome Note Added: 0001291
2014-05-14 00:12 jerome Note Edited: 0001291
2014-05-19 01:32 jerome Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker